# ComponentMetadataContext

interface ComponentMetadataContext

Provides access to component metadata from a ComponentMetadataRule.

#### Since

4.9

## Functions

getDescriptor
Link copied to clipboard
@Nullable
abstract fun <T> getDescriptor(descriptorClass: Class<T>): @Nullable T
Used to access a specific descriptor format.
getDescriptor
Link copied to clipboard
inline fun <T : Any> ComponentMetadataContext.getDescriptor(descriptorClass: KClass<T>): T?

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.api.artifacts.ComponentMetadataContext.getDescriptor.

getDetails
Link copied to clipboard
@NonNull
abstract fun getDetails(): @NonNull ComponentMetadataDetails